<?php

namespace Nextend\SmartSlider3Pro\Generator\Joomla\Cobalt;

use Nextend\Framework\Database\Database;
use Nextend\Framework\Filesystem\Filesystem;
use Nextend\SmartSlider3\Generator\AbstractGeneratorGroup;
use Nextend\SmartSlider3\Generator\GeneratorFactory;
use Nextend\SmartSlider3Pro\Generator\Joomla\Cobalt\Sources\CobaltRecords;

class GeneratorGroupCobalt extends AbstractGeneratorGroup {

    protected $name = 'cobalt';

    protected $url = 'https://extensions.joomla.org/extension/cobalt/';

    protected $isDeprecated = true;

    public function getLabel() {
        return 'Cobalt';
    }

    public function getDescription() {
        return sprintf(n2_('Creates slides from %1$s content.'), 'Cobalt');
    }

    public function isInstalled() {
        return Filesystem::existsFolder(JPATH_ADMINISTRATOR . DIRECTORY_SEPARATOR . 'components' . DIRECTORY_SEPARATOR . 'com_cobalt');
    }

    protected function loadSources() {

        if ($this->isInstalled()) {
            $sections = Database::queryAll("SELECT id, name FROM #__js_res_sections ORDER BY ordering ASC", array("id"), "assoc", "id");

            foreach ($sections AS $section) {
                new CobaltRecords($this, 'section' . $section['id'], $section['name'], $section['id']);
            }
        } else {
            new CobaltRecords($this, 'section', 'Records');
        }
    }


}

GeneratorFactory::addGenerator(new GeneratorGroupCobalt);

