<?php

namespace Nextend\SmartSlider3Pro\Generator\Joomla\Jcart;

use Nextend\Framework\Filesystem\Filesystem;
use Nextend\SmartSlider3\Generator\AbstractGeneratorGroup;
use Nextend\SmartSlider3\Generator\GeneratorFactory;
use Nextend\SmartSlider3Pro\Generator\Joomla\Jcart\Sources\JcartProducts;

class GeneratorGroupJcart extends AbstractGeneratorGroup {

    protected $name = 'jcart';

    protected $url = 'https://extensions.joomla.org/extension/jcart-for-opencart/';

    protected $isDeprecated = true;

    public function getLabel() {
        return 'JCart';
    }

    public function getDescription() {
        return sprintf(n2_('Creates slides from %1$s content.'), 'JCart');
    }

    public function isInstalled() {
        return Filesystem::existsFile(JPATH_ADMINISTRATOR . DIRECTORY_SEPARATOR . 'components' . DIRECTORY_SEPARATOR . 'com_opencart' . DIRECTORY_SEPARATOR . 'opencart.php');
    }

    protected function loadSources() {
        new JcartProducts($this, 'products', n2_('Products'));
    }


}

GeneratorFactory::addGenerator(new GeneratorGroupJcart);
