<?php

namespace Nextend\SmartSlider3Pro\Generator\Joomla\Jmarket;

use Nextend\Framework\Filesystem\Filesystem;
use Nextend\SmartSlider3\Generator\AbstractGeneratorGroup;
use Nextend\SmartSlider3\Generator\GeneratorFactory;
use Nextend\SmartSlider3Pro\Generator\Joomla\Jmarket\Sources\JmarketProducts;

class GeneratorGroupJmarket extends AbstractGeneratorGroup {

    protected $name = 'jmarket';

    protected $url = 'https://extensions.joomla.org/extension/jmarket/';

    protected $isDeprecated = true;

    public function getLabel() {
        return 'JMarket';
    }

    public function getDescription() {
        return sprintf(n2_('Creates slides from %1$s content.'), 'JMarket');
    }

    public function isInstalled() {
        return Filesystem::existsFile(JPATH_ADMINISTRATOR . DIRECTORY_SEPARATOR . 'components' . DIRECTORY_SEPARATOR . 'com_jmarket' . DIRECTORY_SEPARATOR . 'jmarket.php');
    }

    protected function loadSources() {
        new JmarketProducts($this, 'products', n2_('Products'));
    }


}

GeneratorFactory::addGenerator(new GeneratorGroupJmarket);
