<?php

namespace Nextend\SmartSlider3Pro\Generator\Joomla\Jomsocial;

use Nextend\Framework\Filesystem\Filesystem;
use Nextend\SmartSlider3\Generator\AbstractGeneratorGroup;
use Nextend\SmartSlider3\Generator\GeneratorFactory;
use Nextend\SmartSlider3Pro\Generator\Joomla\Jomsocial\Sources\JomsocialActivities;
use Nextend\SmartSlider3Pro\Generator\Joomla\Jomsocial\Sources\JomsocialEvents;
use Nextend\SmartSlider3Pro\Generator\Joomla\Jomsocial\Sources\JomsocialGroups;
use Nextend\SmartSlider3Pro\Generator\Joomla\Jomsocial\Sources\JomsocialVideos;

class GeneratorGroupJomsocial extends AbstractGeneratorGroup {

    protected $name = 'jomsocial';

    protected $url = 'https://www.jomsocial.com/';

    protected $isDeprecated = true;

    public function getLabel() {
        return 'JomSocial';
    }

    public function getDescription() {
        return sprintf(n2_('Creates slides from %1$s content.'), 'JomSocial');
    }

    public function isInstalled() {
        return Filesystem::existsFolder(JPATH_ADMINISTRATOR . DIRECTORY_SEPARATOR . 'components' . DIRECTORY_SEPARATOR . 'com_community');
    }

    protected function loadSources() {
        new JomsocialEvents($this, 'events', n2_('Events'));
        new JomsocialGroups($this, 'groups', n2_('Groups'));
        new JomsocialVideos($this, 'videos', n2_('Videos'));
        new JomsocialActivities($this, 'activities', 'Activities');
    }


}

GeneratorFactory::addGenerator(new GeneratorGroupJomsocial);

