<?php

namespace Nextend\SmartSlider3Pro\Generator\Joomla\Jreviews;

use Nextend\Framework\Filesystem\Filesystem;
use Nextend\SmartSlider3\Generator\AbstractGeneratorGroup;
use Nextend\SmartSlider3\Generator\GeneratorFactory;
use Nextend\SmartSlider3Pro\Generator\Joomla\Jreviews\Sources\JreviewsComments;

class GeneratorGroupJreviews extends AbstractGeneratorGroup {

    protected $name = 'jreviews';

    protected $url = 'https://www.jreviews.com/joomla';

    protected $isDeprecated = true;

    public function getLabel() {
        return 'JReviews';
    }

    public function getDescription() {
        return sprintf(n2_('Creates slides from %1$s content.'), 'JReviews');
    }

    public function isInstalled() {
        return Filesystem::existsFolder(JPATH_ADMINISTRATOR . DIRECTORY_SEPARATOR . 'components' . DIRECTORY_SEPARATOR . 'com_jreviews');
    }

    protected function loadSources() {
        new JreviewsComments($this, 'comments', n2_('Comments'));
    }


}

GeneratorFactory::addGenerator(new GeneratorGroupJreviews);
