<?php

namespace Nextend\SmartSlider3Pro\Generator\Joomla\Zoo;

use App;
use Nextend\Framework\Filesystem\Filesystem;
use Nextend\SmartSlider3\Generator\AbstractGeneratorGroup;
use Nextend\SmartSlider3\Generator\GeneratorFactory;
use Nextend\SmartSlider3Pro\Generator\Joomla\Zoo\Sources\ZooItems;

class GeneratorGroupZoo extends AbstractGeneratorGroup {

    protected $name = 'zoo';

    protected $url = 'https://extensions.joomla.org/extension/zoo/';

    protected $label = 'Zoo';

    protected $isDeprecated = true;

    public function getLabel() {
        return $this->label;
    }

    public function getDescription() {
        return sprintf(n2_('Creates slides from %1$s content.'), 'Zoo');
    }

    public function isInstalled() {
        return Filesystem::existsFolder(JPATH_ADMINISTRATOR . DIRECTORY_SEPARATOR . 'components' . DIRECTORY_SEPARATOR . 'com_zoo');
    }

    protected function loadSources() {
        require_once(JPATH_ADMINISTRATOR . DIRECTORY_SEPARATOR . 'components' . DIRECTORY_SEPARATOR . 'com_zoo' . DIRECTORY_SEPARATOR . 'config.php');
        $zoo = App::getInstance('zoo');

        $apps = $zoo->table->application->all(array('order' => 'name'));

        if (is_array($apps)) {
            foreach ($apps AS $app) {
                foreach ($app->getTypes() AS $type) {
                    //Make them class name safe
                    $appId      = preg_replace('/[^a-zA-Z0-9_\x7f-\xff]*/', '', $app->id);
                    $identifier = preg_replace('/[^a-zA-Z0-9_\x7f-\xff]*/', '', $type->identifier);

                    new ZooItems($this, $appId . $identifier, $app->name . ' (' . $identifier . ')', $app->id, $type->identifier);
                }
            }
        } else {
            $this->label .= ' - You don\'t have any apps';
        }
    }


}

GeneratorFactory::addGenerator(new GeneratorGroupZoo);
